Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 463233 - Review Request: ace-console-wui - Web App for Appliance Management
Summary: Review Request: ace-console-wui - Web App for Appliance Management
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-09-22 17:05 UTC by Bryan Kearney
Modified: 2010-08-07 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 12:15:09 UTC


Attachments (Terms of Use)

Description Bryan Kearney 2008-09-22 17:05:45 UTC
Spec URL: http://bkearney.fedorapeople.org/ace-console-wui.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-console-wui-0.0.3-2.fc9.src.rpm
Description: Apache module for the Appliance Configuration Engine (see https://bugzilla.redhat.com/show_bug.cgi?id=463226)

Comment 1 Bryan Kearney 2008-09-24 13:35:38 UTC
Updated the packages per the review of the ace pakacge

Spec URL: http://bkearney.fedorapeople.org/ace-console-wui.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-console-wui-0.0.3-3.fc9.src.rpm

rpmlint clean
koji build clean

Comment 2 David Lutterkort 2008-10-15 19:49:34 UTC
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  OK - Source md5sum matches upstream
  FIX - No hardcoded pathnames
    mentions /etc/pam.d, use %_sysconfdir
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  FIX - rpmlint is silent

  NIT - lots of tabs lead to goofy indentation; remove tabs

I get the following from rpmlint:

ace-console-wui.noarch: E: zero-length /usr/share/ace/ace-console-wui/db/development.sqlite3
ace-console-wui.noarch: W: symlink-should-be-relative /usr/share/ace/ace-console-wui/config/environments/production.rb /etc/ace-console-wui/production.rb
ace-console-wui.noarch: W: symlink-should-be-relative /usr/share/ace/ace-console-wui/config/environments/test.rb /etc/ace-console-wui/test.rb
ace-console-wui.noarch: W: symlink-should-be-relative /usr/share/ace/ace-console-wui/config/database.yml /etc/ace-console-wui/database.yml
ace-console-wui.noarch: W: symlink-should-be-relative /usr/share/ace/ace-console-wui/config/environments/development.rb /etc/ace-console-wui/development.rb
ace-console-wui.noarch: W: dangling-symlink /usr/share/ace/ace-console-wui/tmp /var/lib/%{inst_name}/tmp
ace-console-wui.noarch: W: symlink-should-be-relative /usr/share/ace/ace-console-wui/tmp /var/lib/%{inst_name}/tmp
ace-console-wui.noarch: E: incoherent-subsys /etc/rc.d/init.d/ace-console-wui ace-console-wui}

Either fix them or explain why they are ok to keep.

Comment 3 Bryan Kearney 2008-10-16 14:31:22 UTC
I have uploaded a new srpm. Information is below.

Spec URL: http://bkearney.fedorapeople.org/ace-console-wui.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-console-wui-0.0.3-4.fc9.src.rpm

Clean Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=884303

Explanations on the rpmlint errors:

ace-console-wui.noarch: E: zero-length
/usr/share/ace/ace-console-wui/db/development.sqlite3
-----------------------------------------------------
Currently rails requires a database. This is the empty sqlite backed file for this.


ace-console-wui.noarch: W: symlink-should-be-relative (several of these)
------------------------------------------------------------------------
The symlinks are to macro driven locations (e.g. linking to %{_sysconfdir}/%{name}/test.rb). This seems a less fragile approach then using lots of nested ../


ace-console-wui.noarch: E: incoherent-subsys /etc/rc.d/init.d/ace-console-wui
------------------------------------------------------------------------------
This service is using mongrel-rails under the cover. The lockfile is parameter driven (stole this from ovirt) and that trigger this error.

Comment 4 Jason Tibbitts 2009-11-08 19:18:22 UTC
This ticket is terribly old.  I'm not planning to review this package, but I can make some comments.

Still builds OK.  rpmlint says:

  ace-console-wui.noarch: W: dangling-symlink
   /usr/share/ace/ace-console-wui/tmp /var/lib/%{inst_name}/tmp
You didn't address this above.  There's only one occurrence of "%{inst_name}" in the spec; it's not defined anywhere, so it's just used verbatim.  This is almost certainly some sort of oversight.

Your %description should be at least one complete sentence.  It seems to be missing punctuation currently.

Your macro usage is inconsistent.  If for whatever reason you really want to type a lot and use "%{__mv}" and the like, you need to use "%{__rm} as well.

Comment 5 Rafael Aquini 2010-07-31 02:55:45 UTC
PING

It's been almost ten months with no progress; This bug should be closed soon if
there is no response, shouldn't it?

Comment 6 Rafael Aquini 2010-08-07 15:55:03 UTC
Bryan,

As you have already closed this bug, I'm just blocking it to FE-DEADREVIEW, accordingly to Fedora's Policy for stalled package reviews:

http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Regards


Note You need to log in before you can comment on or make changes to this bug.